\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{covermia}[2022/05/28]

\def\coverim@ge{\relax}
\def\coverimage#1{\def\coverim@ge{#1}}

\newcommand\backpagemaybe{%
  \@tempswatrue
  \ifx\@uppertitleback\@empty\ifx\@lowertitleback\@empty
            \@tempswafalse 
          \fi\fi
          \if@tempswa
          \next@tpage
          \begin{minipage}[t]{\textwidth}
            \@uppertitleback 
          \end{minipage}\par
          \vfill
          \begin{minipage}[b]{\textwidth}
            \@lowertitleback 
          \end{minipage}\par
          \@thanks\global\let\@thanks\@empty
          \fi}

\def\@version{}

\IfFileExists{version.txt}
{\newread\fileversione
\openin\fileversione=version.txt
\read\fileversione to\@version
\closein\fileversione}

\renewcommand{\maketitle}{\titlepage
{\begin{tikzpicture}
    \draw (1.5, 19) node [anchor=north west, name=titolo] {{\parbox{15cm}{\@title}}};
  \draw (18, 0) node [anchor=base east, name=autore] {\textaut{\@author}};
  \draw[fill=red, shift={(-0.65, -0.65)}] (titolo.south west)
  rectangle ++(15.3, -0.12);
  \draw (titolo.south east) node [shift={(0.0, -0.1)}, anchor=north east] {{\textversion{\@version}}};
  \draw [fill=red] (titolo.base west) ++(-0.35, 0.5) rectangle
  ++(-0.12, -17.5);
  \draw (titolo.base west) ++(0, -1.0) node [anchor=north west] {\coverim@ge};
  % 15cm x 15cm
  \end{tikzpicture}
  }
  \endtitlepage
\backpagemaybe}

